Bug 339611 - GtkSheet crashes when destroying it
GtkSheet crashes when destroying it
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk+extra (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Alain Portal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 08:07 EDT by Miloslav Trmač
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1.1-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A patch (364 bytes, patch)
2007-10-19 08:07 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2007-10-19 08:07:16 EDT
Description of problem:
GtkSheet uses g_free() instead of g_object_unref() to free a GdkPixmap.

Version-Release number of selected component (if applicable):
gtk+extra-2.1.1-4
Comment 1 Miloslav Trmač 2007-10-19 08:07:16 EDT
Created attachment 232451 [details]
A patch
Comment 2 Alain Portal 2007-10-19 09:33:14 EDT
I like when a reporter send a patch ;-)
Thanks.
Fix is commited.
Comment 3 Fedora Update System 2007-10-24 03:08:35 EDT
gtk+extra-2.1.1-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk+extra'
Comment 4 Miloslav Trmač 2007-10-24 10:02:20 EDT
Thanks, that package works fine.
Comment 5 Alain Portal 2007-10-24 10:33:45 EDT
So, could you please mark it as "Work for me"?
https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2631
Comment 6 Fedora Update System 2007-10-29 15:04:04 EDT
gtk+extra-2.1.1-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-11-06 11:15:16 EST
gtk+extra-2.1.1-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk+extra'
Comment 8 Fedora Update System 2007-11-17 00:36:25 EST
gtk+extra-2.1.1-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.